<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'survey',

    /*
     * Package.
     */
    'package'   => 'employee',

    /*
     * Modules.
     */
    'modules'   => ['tax'],

    
    'tax'       => [
        'model' => [
            'model'                 => \Survey\Employee\Models\Tax::class,
            'table'                 => 'taxes',
            'presenter'             => \Survey\Employee\Repositories\Presenter\TaxPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'from',  'to',  'nd',  'dd0',  'dd1',  'dd2',  'dd3_and_above',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/tax',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Employee',
            'module'    => 'Tax',
        ],

    ],
];
