<?php

namespace Survey\Employee;

use User;

class Employee
{
    /**
     * $tax object.
     */
    protected $tax;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Employee\Interfaces\TaxRepositoryInterface $tax)
    {
        $this->tax = $tax;
    }

    /**
     * Returns count of employee.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tax.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tax->pushCriteria(new \Litepie\Survey\Repositories\Criteria\TaxUserCriteria());
        }

        $tax = $this->tax->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('employee::' . $view, compact('tax'))->render();
    }
}
