<?php

namespace Survey\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TaxTransformer extends TransformerAbstract
{
    public function transform(\Survey\Employee\Models\Tax $tax)
    {
        return [
            'id'                => $tax->getRouteKey(),
            'key'               => [
                'public'    => $tax->getPublicKey(),
                'route'     => $tax->getRouteKey(),
            ], 
            'from'              => $tax->from,
            'to'                => $tax->to,
            'nd'                => $tax->nd,
            'dd0'               => $tax->dd0,
            'dd1'               => $tax->dd1,
            'dd2'               => $tax->dd2,
            'dd3_and_above'     => $tax->dd3_and_above,
            'deleted_at'        => $tax->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$tax->getPublicKey()),
                'user'      => guard_url('employee/tax/'.$tax->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tax->status),
            'created_at'        => format_date($tax->created_at),
            'updated_at'        => format_date($tax->updated_at),
        ];
    }
}